Thank Vincent
[vlc.git] / bootstrap
index 89b637f..66834c2 100755 (executable)
--- a/bootstrap
+++ b/bootstrap
@@ -67,12 +67,20 @@ else
   PKGCONFIG=no
 fi
 
+# Check for autopoint (GNU gettext)
+export AUTOPOINT
+test "$AUTOPOINT" || AUTOPOINT=autopoint
+if ! "$AUTOPOINT" --dry-run --force >/dev/null 2>&1; then
+  AUTOPOINT=true
+  echo > ABOUT-NLS
+fi
+
 ##
 ## Generate the modules makefile, by parsing modules/**/Modules.am
 ##
 
 set +x
-echo "generating modules/**/Makefile.am and m4/private.m4"
+echo "generating modules/**/Makefile.am"
 
 # Prepare m4/private.m4
 rm -f m4/private.m4 && cat > m4/private.m4 << EOF
@@ -87,21 +95,8 @@ AC_DEFUN([PKG_CHECK_MODULES],[ifelse([\$4], , :, [\$4])])
 EOF
 fi
 
-cat >> m4/private.m4 << EOF
-dnl  Helper macro for vlc-config generation
-AC_DEFUN([VLC_CONFIG_HELPER], [
-  cat >> vlc-config.in << BLAH
-EOF
-
-modules=""
-
 modules/genmf `sed -ne 's,modules/\(.*\)/Makefile,\1,p' configure.ac`
 
-cat >> m4/private.m4 << EOF
-BLAH
-])
-EOF
-
 ###
 ###  classic bootstrap stuff
 ###
@@ -109,10 +104,11 @@ set -x
 
 # Automake complains if these are not present
 echo > vlc-config.in
+echo > ABOUT-NLS
 cp -f INSTALL INSTALL.git
 
-AUTOPOINT=true autoreconf --install --force --verbose ${ACLOCAL_ARGS}
-rm -f po/Makevars.template
+autoreconf --install --force --verbose ${ACLOCAL_ARGS}
+rm -f po/Makevars.template ABOUT-NLS
 echo > ABOUT-NLS
 mv -f INSTALL.git INSTALL
 
@@ -129,6 +125,17 @@ set +x
 ##
 ##  Tell the user about gettext, pkg-config and sed
 ##
+if [ "$AUTOPOINT" = "true" ]; then
+  cat << EOF
+
+==============================================================
+NOTE: GNU gettext appears to be missing or out-of-date.
+Please install or update GNU gettext.
+Also check if you have cvs, a dependency of autopoint.
+Otherwise, you will not be able to build a source tarball.
+EOF
+fi
+
 if [ "$PKGCONFIG" = "no" ]; then
   cat << EOF